Subject: Re: Mount issues
From: "Michael A. Chase" <[email-masked]>
To: "Sandeep Tamhankar" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Date: Thu, 28 Jun 2001 18:42:06 -0700

Before messing with your mount points, I suggest saving a list of the
current mounts to a file (mount > file.txt; mount -p >> file.txt).

You can run mount.exe from the MSDOS prompt.  That allows you to umount all
the user mount points (umount -U) before you replace them with system mount
points (mount -b -s <msdospath> <posixpath>).  You should probably exit all
Cygwin programs first.

You don't want to explicitly mount anything under /cygdrive.  /cygdrive is a
convenience mount point for any MSDOS drive letters that you haven't mounted
explicitly.  You remove and establish the cygdrive prefix using special
options to umount (umount -u -c) and mount (mount -b -s -c <posixpath>)
respectively.

Both mount and umount display a help screen if given the "-h" option.
--
Mac :})
** I normally forward private questions to the appropriate mail list. **
Give a hobbit a fish and he eats fish for a day.
Give a hobbit a ring and he eats fish for an age.
----- Original Message -----
From: "Sandeep Tamhankar" <[email-masked]>
To: "John Wiersba" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Sent: Thursday, June 28, 2001 14:01
Subject: Re: Mount issues

> Well, I can't unmount these mount points because Cygwin automatically
> creates these user mounts on login with (textmode, noumount) settings.
> And when I try to add the system mount points without unmounting the
> user mounts, I get the following warning:
>
> ~: mount -s c: /cygdrive/c
> mount: warning: system mount point of '/cygdrive/c' will always be
> masked by user mount.
>
> I feel like this needs to be solved in an environment variable or the
> registry.  I mean, what makes cygwin automatically mount these drives
> and what makes it use textmode?  And why is it that my user-id mounts
> them in binary mode, but all other users get textmode?  The only
> distinction between me and the other user I've been expermenting with is
> that my username's the one that's done the various Cygwin installations
> over the years.
>
> And the registry doesn't show these mounts at all.  And that kinda makes
> sense because Cygwin wants to auto-mount all the current drive letters,
> and that can change over time.  So when I start a Cygwin shell, it
> checks which drive letters are around and creates mount points for
> them....it just happens to create them in textmode for anyone except me.

Search the registry for 'Cygwin', but you really are better off using mount
and umount to change your mount points.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/